@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

.page {
    &-settings {
        .section-company {
            padding: 24px 0 0;
            margin-bottom: 108px;

            .section {
                &__wrapper {
                    display: flex;
                    flex: auto;
                    min-width: 0;
                    position: relative;

                    .company-name {
                        flex: 1 1 auto;
                        min-width: 0;

                        &__wrapper {
                            align-items: center;
                            display: flex;
                            height: 100%;
                        }

                        &__label {
                            position: absolute;
                            top: 0;
                            left: 0;
                            font-size: 11px;
                            color: $gray57c;
                            white-space: nowrap;
                        }

                        &__content {
                            max-width: 100%;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            white-space: nowrap;
                            padding-right: 15px;
                        }
                    }

                    .versions-info {
                        margin-left: auto;
                        flex: 0 0 auto;
                        display: flex;
                        justify-content: center;
                    }
                }
            }

            .company-image {
                &__container {
                    position: relative;
                    margin-top: 18px;
                    flex: 0 0 36px;
                    height: 36px;
                    margin-right: 58px;
                }

                &__label {
                    position: absolute;
                    top: -17px;
                    left: 0;
                    font-size: 11px;
                    color: $gray57c;
                    white-space: nowrap;
                }
            }

            .profile-img {
                padding-right: 16px;
                flex: none;
                img {
                    border-radius: 8px;
                    max-width: 48px;
                    max-height: 48px;
                }

                & .profile-photo{
                    &__icon-wrapper {
                        display: flex;
                        width: 40px;
                        height: 40px;
                        background-color: $gray3e5;
                    }
                }


                .company-photo {
                    display: inline;
                }
            }
        }
        .section-controls {
            .control {
                &__wrapper {
                    margin-bottom: 48px;

                    &:last-child {
                        padding-bottom: 20px;
                        margin-bottom: 0;
                    }

                    .button {
                        &__container {
                            box-shadow: 0 1px 8px rgba($black, 0.2), 0 3px 3px rgba($black, 0.12), 0 3px 4px rgba($black, 0.14);

                            & .button__element:disabled {
                                .button__title {
                                    opacity: 0.5;
                                }
                            }
                        }

                        &__element {
                            width: 100%;
                            height: 64px;
                            max-height: 64px;
                            padding: 0;
                            display: flex;
                            border-radius: 0;
                            text-transform: none;
                            background-color: $white;

                            &:not(:last-of-type) {
                                box-shadow: inset 0px -1px 0px $gray3e5;
                            }

                            &.no-hover-effect.md-raised:hover {
                                background-color: rgba($black, 0.05);
                            }
                        }

                        &__content-wrapper {
                            padding: 0 32px;
                            width: 100%;
                            display: flex;
                            align-items: center;
                        }

                        &__text-wrapper {
                            flex: 1 1 auto;
                            height: 40px;
                            text-align: initial;
                            overflow: hidden;
                        }

                        &__title {
                            color: $turquoise69a;
                            font-weight: 700;
                            font-size: 18px;
                            line-height: 20px;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            white-space: nowrap;
                            padding-right: 16px;

                            &._subtitle {
                                color: $gray8be;
                                font-weight: 500;
                                font-size: 12px;
                            }
                        }

                        &__icon {
                            flex: none;
                            height: 24px;
                            width: 24px;
                            min-height: 24px;
                            min-width: 24px;
                            font-size: 38px;
                            line-height: 24px;
                            opacity: 0.6;
                        }
                    }
                }

                &__label {
                    padding: 0 24px;
                    color: $gray57c;
                    font-size: 14px;
                    line-height: 24px;
                    font-weight: 500;
                    margin-bottom: 8px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }
            }
        }

        @media screen and (max-width: $breakpoint-mobile - 1) {
            .section-company {
                padding: 0;
                margin-bottom: 40px;

                .section {
                    &__wrapper {
                        .versions-info {
                            position: absolute;
                            bottom: 0;
                            left: 16px;
                            align-items: end;
                        }
                    }
                }
            }

            .section-controls {
                margin: 0 -#{$page-padding-right-left};

                .control {
                    &__wrapper {
                        margin-bottom: 32px;

                        .button {
                            &__container {
                                box-shadow: none;
                            }
                            &__element {
                                &:not(:last-of-type) {
                                    box-shadow: none;
                                    margin-bottom: 8px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
